---
lang: en
title: 'API docs: authorization.authorizationmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorizationmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationMetadata](./authorization.authorizationmetadata.md)

## AuthorizationMetadata interface

Authorization metadata supplied via `@authorize` decorator

**Signature:**

```typescript
export interface AuthorizationMetadata 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [allowedRoles?](./authorization.authorizationmetadata.allowedroles.md) |  | string\[\] | _(Optional)_ Roles that are allowed access |
|  [deniedRoles?](./authorization.authorizationmetadata.deniedroles.md) |  | string\[\] | _(Optional)_ Roles that are denied access |
|  [resource?](./authorization.authorizationmetadata.resource.md) |  | string | _(Optional)_ Name of the resource, default to the method name |
|  [scopes?](./authorization.authorizationmetadata.scopes.md) |  | string\[\] | _(Optional)_ Define the access scopes |
|  [skip?](./authorization.authorizationmetadata.skip.md) |  | boolean | _(Optional)_ A flag to skip authorization |
|  [voters?](./authorization.authorizationmetadata.voters.md) |  | ([Authorizer](./authorization.authorizer.md) \| [BindingAddress](./context.bindingaddress.md)<!-- -->&lt;[Authorizer](./authorization.authorizer.md)<!-- -->&gt;)\[\] | _(Optional)_ Voters that help make the authorization decision |


